diff a/src/hotspot/share/memory/metaspace/runningCounters.hpp b/src/hotspot/share/memory/metaspace/runningCounters.hpp
--- a/src/hotspot/share/memory/metaspace/runningCounters.hpp
+++ b/src/hotspot/share/memory/metaspace/runningCounters.hpp
@@ -25,21 +25,15 @@
 
 #ifndef SHARE_MEMORY_METASPACE_RUNNINGCOUNTERS_HPP
 #define SHARE_MEMORY_METASPACE_RUNNINGCOUNTERS_HPP
 
 #include "memory/allStatic.hpp"
-#include "memory/metaspace/counters.hpp"
 
 namespace metaspace {
 
 // This class is a convenience interface for accessing global metaspace counters.
-class RunningCounters : public AllStatic {
-
-  static SizeAtomicCounter _used_class_counter;
-  static SizeAtomicCounter _used_nonclass_counter;
-
-public:
+struct RunningCounters : public AllStatic {
 
   // ---- virtual memory -----
 
   // Return reserved size, in words, for Metaspace
   static size_t reserved_words();
@@ -63,14 +57,10 @@
   // Returns size, in words, of all chunks in all freelists.
   static size_t free_chunks_words();
   static size_t free_chunks_words_class();
   static size_t free_chunks_words_nonclass();
 
-  // Direct access to the counters.
-  static SizeAtomicCounter* used_nonclass_counter()     { return &_used_nonclass_counter; }
-  static SizeAtomicCounter* used_class_counter()        { return &_used_class_counter; }
-
 };
 
 } // namespace metaspace
 
 #endif // SHARE_MEMORY_METASPACE_RUNNINGCOUNTERS_HPP
